Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1043362 - update anaconda kickstart documentation: firstboot no longer shipped
Summary: update anaconda kickstart documentation: firstboot no longer shipped
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-16 05:40 UTC by Gene Czarcinski
Modified: 2014-02-21 19:19 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-21 19:19:26 UTC
Type: Bug


Attachments (Terms of Use)

Description Gene Czarcinski 2013-12-16 05:40:29 UTC
Description of problem:
The firstboot package is no longer shipped starting with Fedora 20.  The kickstart documentation should be changed to indicate this.

Comment 1 Martin Kolman 2013-12-16 12:59:49 UTC
Thanks for noting, fixed:
https://fedoraproject.org/wiki/Anaconda/Kickstart#firstboot

Comment 2 Gene Czarcinski 2013-12-16 19:08:31 UTC
I am not sure what got fixed.  The text looks pretty much the same to me.  There is no mention that the firstboot package is no longer shipped as of Fedora 20.

Comment 3 David Shea 2013-12-16 19:21:12 UTC
The functionality of firstboot has been replaced by initial-setup, and that's what the firstboot kickstart command now controls.

Comment 4 Gene Czarcinski 2013-12-17 08:50:20 UTC
OK, now I understand.  Maybe some mention of the two packages should be included in the documentation.


Note You need to log in before you can comment on or make changes to this bug.